Subject: Re: [PATCH v1 1/2] driver core: fw_devlink: Add support for FWNODE_FLAG_BROKEN_PARENT

From: Andrew Lunn <[email-masked]>
Date: Thu, 26 Aug 2021 15:13:25 +0200

On Thu, Aug 26, 2021 at 12:45:24AM -0700, Saravana Kannan wrote:
> If a parent device is also a supplier to a child device, fw_devlink=on
> (correctly) delays the probe() of the child device until the probe() of
> the parent finishes successfully.
> 
> However, some drivers of such parent devices (where parent is also a
> supplier) incorrectly expect the child device to finish probing
> successfully as soon as they are added using device_add() and before the
> probe() of the parent device has completed successfully.

Please can you point at the code making this assumption. It sounds
like we are missing some EPROBE_DEFER handling in the driver, or maybe
the DSA framework.

     Andrew